The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get IPS Inspection Allowlist from the Manager

Prev Next

This URL retrieves the domain name exceptions from the Manager.

Resource URL

GET /domainnameexceptions/ipsinspectionallowlist

Request Parameters

URL Parameters: None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

dneDetail

List of domains from the IPS Inspection allowlist

ObjectList

Details of dneDetail :

Field Name

Description

Data Type

id

Domain name exception id

Number

state

State of the domain name exception (Enabled/Disabled)

String

domainName

Name of the domain

String

comment

Description of the exception

String

domainType

Type of the domain (Custom/Default)

String

lastUpdated

Details of the time and username under which the domain name exception was added

String

Example

Request

GET https://<NSM_IP>/sdkapi/domainnameexceptions/ipsinspectionallowlist

Response

{    
 'dneDetail': [{

'id': 10118,
‘state’: ‘E’,
'domainName':'www.google.com', ‘comment’: ‘Google’
‘domainType’: ‘C’,
'lastUpdated': 'Jan 13 6:35 (admin)'

},
{
'id': 10119,
‘state’: ‘E’,
'domainName':'www.abc.com', ‘comment’: ‘abc domain’
‘domainType’: ‘C’,
'lastUpdated': 'Jan 13 6:39 (admin)'

},
{
'id': 10120,
‘state’: ‘D’,
'domainName':'www.yahoo.com', ‘comment’: ‘ ’
‘domainType’: ‘C’,
'lastUpdated': 'Jan 13 6:45 (admin)'
}]
}

Error Information

None